gnutls_session_get_ptr(3)

NAME
gnutls_session_get_ptr - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void * gnutls_session_get_ptr(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get user pointer for session. Useful in callbacks. This is the pointer set with gnutls_session_set_ptr().

RETURNS
the user given pointer from the session structure, or NULL if it was never set.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/